﻿@model Bacchus.Models.Bid

@{
    ViewBag.Title = "Create";
}

<h2>Make a bid for selected product</h2>
<h>Offer from current user: @User.Identity.Name</h>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(x => x.ProductId)
    @Html.Hidden("ProductId")

    @Html.HiddenFor(x => x.UserId)
    @Html.Hidden("UserId")

    <div class="form-horizontal">
        
        <hr />
        

        <div class="form-group">
            @Html.LabelFor(model => model.BidDate, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DisplayFor(model => model.BidDate, new
                {
                    htmlAttributes = new
                    {
                        @class = "form-control date-picker",
                        placeholder = "Current Date and Time"
                    }
    })
                @Html.ValidationMessageFor(model => model.BidDate, "", new { @class = "text-danger", type = "datetime-local" })
            </div>
        </div>

        @*<div class="form-group">
                @Html.LabelFor(model => model.UserId, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.UserId, new { htmlAttributes = new { @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.UserId, "", new { @class = "text-danger" })
                </div>
            </div>*@


        <div class="form-group">
            @Html.LabelFor(model => model.BidAmount, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.BidAmount, new { htmlAttributes = new { @class = "form-control",placeholder = "€" } })
                @*@Html.EditorFor(model => model.BidAmount, "Currency")*@
                @Html.ValidationMessageFor(model => model.BidAmount, "", new { @class = "text-danger" })
            </div>
        </div>


        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index", "Home")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
